Bug 996166 (CVE-2013-4236)

Summary: CVE-2013-4236 vdsm: incomplete fix for CVE-2013-0167 issue
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, acathrow, bazulay, danken, dgibson, dougsland, fsimonce, hateya, idith, iheim, lpeer, nobody, virt-maint, yeylon, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130716,reported=20130711,source=redhat,cvss2=2.7/AV:A/AC:L/Au:S/C:N/I:N/A:P,rhev-m-3/vdsm=affected,rhev-m-2/vdsm=wontfix,fedora-all/vdsm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 09:40:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 983402, 984940    
Bug Blocks: 996167, 996212    

Description Petr Matousek 2013-08-12 10:39:44 EDT
It was found that fix for CVE-2013-0167 was not complete. A privileged
guest user could still potentially make the host the guest is running on
unavailable to the management server by making guest agent return data
with invalid XML characters.

Upstream fix:
http://gerrit.ovirt.org/gitweb?p=vdsm.git;a=commit;h=5fe1615b7949999fc9abd896bde63bf24f8431d6

Acknowledgements:

This issue was found by David Gibson of Red Hat.
Comment 2 errata-xmlrpc 2013-08-13 12:18:44 EDT
This issue has been addressed in following products:

  RHEV Manager version 3.2

Via RHSA-2013:1155 https://rhn.redhat.com/errata/RHSA-2013-1155.html
Comment 5 errata-xmlrpc 2013-08-27 14:54:35 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1181 https://rhn.redhat.com/errata/RHSA-2013-1181.html